Generate a bridge/bridge+swap quote
This endpoint allows you to obtain a quote for a bridge or bridge+swap transaction that can be submitted through the POST /quote/commit/{quoteId} endpoint.
Authorizations
JWT token for authentication
Body
The blockchain that the tokens will be bridged from, e.g. "ETHEREUM".
The blockchain that the tokens will be bridged to, e.g. "AVALANCHE".
When the mode is "pay" this is the amount of the token to be sent; when the mode is "receive" this is the amount of the token that will be received. E.g. to send 456.34 USDT the amount should be "456.34".
Whether the amount should represent the sending or receiving amount, e.g. "pay". When "pay" is used, amount represents the value on the chainIn and the chainOut value will be calculated and provided in the quote. When "receive" is used, amount represents the value on the chainOut and the chainIn value will be calculated and provided in the quote.
pay, receive The token that is to be sent on the chainIn, e.g. "USDT".
The token that is to be received on the chainOut, e.g. "USDT".
The address on the chainIn that will be sending the tokens for bridging, e.g. "0x1234...Abc".
The address on the chainOut that will be receiving the bridged tokens, e.g. "0x1234...Abc".
The amount of native gas token (e.g. ETH, MATIC, BNB) that will be delivered to the user's wallet on the destination chain for a Gas Boost, e.g. "10".
Whether the generated quote should be for the transaction via a Rhino.fi Smart Deposit Address or not, e.g. true. If the transaction will be via a Rhino.fi Smart Deposit Address then this should be included as true. This param will default to false.
true, false Custom Routing Rules as configured by Rhino.fi for specific clients, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
A URL that success or failure events related to this bridging transaction should be sent to, e.g. "https://client.com/rhino-webhook".
The address that the tokens should be returned to in the case that this transaction fails, e.g. "0xabc...xyz". Where this is not set in advance, Rhino.fi can still facilitate the refund of any assets given a failed AML check or unsupported tokens being received; please contact your Customer Support Manager for assistance in this situation.
Response
ConnectedSingleBridgeQuoteResponseSchema
- Option 1
- Option 2
- Option 3
bridge The blockchain that the tokens will be bridged from, e.g. "ETHEREUM".
The blockchain that the tokens will be bridged to, e.g. "AVALANCHE".
The value of the tokens that will be sent on the chainIn, denominated in the token as a human-readable decimal amount (e.g. "1.5"), not the smallest unit / wei.
The USD value of the tokens that will be sent on the chainIn.
The value of the tokens that will be sent on the chainOut, denominated in the token as a human-readable decimal amount (e.g. "1.5"), not the smallest unit / wei.
The USD value of the tokens that will be sent on the chainOut.
Contains information about the fee structure of the transaction. The fields should be read differently depending on whether the client is a "legacy" or "PAYG/subscription tier" client.
The asset that will be received on the chainOut.
The address on the chainIn that will be sending the tokens for bridging, e.g. "0x1234...Abc".
The address on the chainOut that will be receiving the bridged tokens, e.g. "0x1234...Abc".
The datetime that the quote is valid until. After this time it will fail if submitted through the POST /quote/commit/{quoteId} endpoint.
The unique identifier of this quote. Submit this in the POST /quote/commit/{quoteId} endpoint to commit the quote.
The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier.
Promotion details if applicable (optional).
Functionality provided by Rhino.fi to deliver a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately.
Provides information about whether the transaction should be completed "fast" (typically under 30 seconds), "standard" (typically under a minute) or "slow" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed.
fast, standard, slow The estimated time for the transaction to complete in milliseconds.
x >= 0Custom Routing Rules as configured by Rhino.fi for specific clients, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
A URL that success or failure events related to this bridging transaction should be sent to, e.g. "https://client.com/rhino-webhook".